Static Public Attributes

# BinNavi.API.reil.ReilMnemonics Class Reference

Contains constants for all native REIL mnemonics. More...

List of all members.

## Static Public Attributes
static final String | ADD = ReilHelpers.OPCODE_ADD
| Standard ADD mnemonic.
static final String | AND = ReilHelpers.OPCODE_AND
| Standard AND mnemonic.
static final String | BISZ = ReilHelpers.OPCODE_BISZ
| Standard BISZ mnemonic.
static final String | BSH = ReilHelpers.OPCODE_BSH
| Standard BSH mnemonic.
static final String | DIV = ReilHelpers.OPCODE_DIV
| Standard DIV mnemonic.
static final String | JCC = ReilHelpers.OPCODE_JCC
| Standard JCC mnemonic.
static final String | LDM = ReilHelpers.OPCODE_LDM
| Standard LDM mnemonic.
static final String | MOD = ReilHelpers.OPCODE_MOD
| Standard MOD mnemonic.
static final String | MUL = ReilHelpers.OPCODE_MUL
| Standard MUL mnemonic.
static final String | NOP = ReilHelpers.OPCODE_NOP
| Standard NOP mnemonic.
static final String | OR = ReilHelpers.OPCODE_OR
| Standard OR mnemonic.
static final String | STM = ReilHelpers.OPCODE_STM
| Standard STM mnemonic.
static final String | STR = ReilHelpers.OPCODE_STR
| Standard STR mnemonic.
static final String | SUB = ReilHelpers.OPCODE_SUB
| Standard SUB mnemonic.
static final String | UNDEF = ReilHelpers.OPCODE_UNDEF
| Standard UNDEF mnemonic.
static final String | UNKNOWN = ReilHelpers.OPCODE_UNKNOWN
| Standard UNKNOWN mnemonic.
static final String | XOR = ReilHelpers.OPCODE_XOR
| Standard XOR mnemonic.

## Detailed Description

Contains constants for all native REIL mnemonics. These constants should be used when creating new REIL instructions or when comparing the mnemonics of REIL instructions during analysis algorithms.

## Member Data Documentation

final String BinNavi.API.reil.ReilMnemonics.ADD = ReilHelpers.OPCODE_ADD`[static]`

Standard ADD (addition) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.AND = ReilHelpers.OPCODE_AND`[static]`

Standard AND (bitwise AND) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.BISZ = ReilHelpers.OPCODE_BISZ`[static]`

Standard BISZ (boolean is zero?) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.BSH = ReilHelpers.OPCODE_BSH`[static]`

Standard BSH (Bitwise Shift) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.DIV = ReilHelpers.OPCODE_DIV`[static]`

Standard DIV (unsigned division) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.JCC = ReilHelpers.OPCODE_JCC`[static]`

Standard JCC (conditional jump) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.LDM = ReilHelpers.OPCODE_LDM`[static]`

Standard LDM (load from memory) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.MOD = ReilHelpers.OPCODE_MOD`[static]`

Standard MOD (unsigned modulo) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.MUL = ReilHelpers.OPCODE_MUL`[static]`

Standard MUL (unsigned multiplication) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.NOP = ReilHelpers.OPCODE_NOP`[static]`

Standard NOP (no operation) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.OR = ReilHelpers.OPCODE_OR`[static]`

Standard OR (bitwise OR) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.STM = ReilHelpers.OPCODE_STM`[static]`

Standard STM (store to memory) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.STR = ReilHelpers.OPCODE_STR`[static]`

Standard STR (store to register) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.SUB = ReilHelpers.OPCODE_SUB`[static]`

Standard SUB (subtraction) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.UNDEF = ReilHelpers.OPCODE_UNDEF`[static]`

Standard UNDEF (undefine register) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.UNKNOWN = ReilHelpers.OPCODE_UNKNOWN`[static]`

Standard UNKNOWN (unknown mnemonic) mnemonic.

final String BinNavi.API.reil.ReilMnemonics.XOR = ReilHelpers.OPCODE_XOR`[static]`

Standard XOR (bitwise XOR) mnemonic.